:: =======
:: Part 01
:: =======
:: do not change anything in this part of this script
@SETLOCAL
@Call :Initialize

:: =======
:: Part 02
:: =======
:: in this part you can add your list of operations
:: There are 2 options:
:: 1) if you want to specify the file names one by one, then
:: syntax is:  @Call :DeleteResults "name of esa file"
:: 2) if you want to process all .esa files in the current folder, then
:: syntax is:  @FOR %%j in (*.esa) do @Call :DeleteResults "%%j"
::

:: this for-loop processes all .esa files in the current folder
@FOR %%j in (*.esa) do @Call :DeleteResults "%%j"
:: these commands process user-specified esa files
@rem @Call :DeleteResults "file01.esa"
@rem @Call :DeleteResults "file04.esa"
@rem @Call :DeleteResults "file16.esa"


:: =======
:: Part 03
:: =======
:: do not change anything in this part of this script
@ENDLOCAL
@pause
Exit

:: =======
:: Part 04
:: =======
:: do not change anything in this part of this script
:DeleteResults
@IF NOT EXIST "%~f1" (
  @ECHO.
  @ECHO.--WARNING
  @ECHO.--File not found: %~nx1
  @ECHO."%~f1"
  @ECHO.
  @Exit /B
)
@set currFile=%~n1
@IF "%currFile:~-6%"=="_noRes" (
  @ECHO.
  @ECHO.--WARNING
  @ECHO.--Filename ends with _noRes -- File is skipped: %~nx1
  @ECHO."%~f1"
  @ECHO.
  @Exit /B
)
@SET /A i+=1
@ECHO.--Processing file nr %i% --  %~nx1
@rem @ECHO.%ProgExe% NOC "%~f1" AddNode2.xml -tESA -o"%~dpn1_noRes%~x1" -l"%~dpn1.log"
@%ProgExe% NOC "%~f1" gvBatchDeleteResults_AddNode.xml -tESA -o"%~dpn1_noRes%~x1" -l"%~dpn1.log"
@IF ERRORLEVEL 0 (Exit /B)
@ECHO.
@ECHO.--WARNING
@ECHO.--Processing file: %~nx1
@ECHO.--Ended with Error Level = %ERRORLEVEL%  -- There is a failure -- Check the log file.
@ECHO.
@Exit /B


:EchoFileNames
@echo %~f1
@echo %~dpn1
@echo %~x1
@Exit /B

:: =======
:: Part 05
:: =======
:: in this part you can set the path to correct version of esa_xlm.exe on your computer
:Initialize
@SET ProgExe="C:\Program Files (x86)\Scia\Engineer21.1\esa_xml.exe"
@SET /A i=0
@Exit /B

